#ifndef MIXER_H
#define MIXER_H

#include <qwidget.h>
#include <qtimer.h>
#include <qlayout.h>

#include "engine.h"
#include "config.h"
#include "MixerChannel.h"

class Mixer : public QWidget
{
    Q_OBJECT
    
public:
    Mixer(QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
    
private:
    QVBoxLayout *layout;
    QTimer *timer;
    MixerChannel *channels[26];

private slots:
    void update();
};

#endif
